<div class="collection-banner">
  {% assign banner_displayed = false %}
  {% if section.blocks.size > 0 %}
    {% for block in section.blocks %}
      {% if collection.handle != blank %}
        {% if block.settings.collection_slug == collection.handle and block.settings.banner != blank %}
          {% if block.settings.tag != blank %}
            {% if current_tags != blank %}
              {% assign block_settings_tag = block.settings.tag | handleize %}
              {% for curr_tag in current_tags %}
                {% if curr_tag == block_settings_tag %}
  {% if block.settings.url != blank %}<a href="{{ block.settings.url }}">{% endif %}
    <img src="{{ block.settings.banner | img_url: 'master' }}" />
  {% if block.settings.url != blank %}</a>{% endif %}
                  {% assign banner_displayed = true %}
                {% endif %}
              {% endfor %}
            {% endif %}
          {% else %}
  {% if block.settings.url != blank %}<a href="{{ block.settings.url }}">{% endif %}
    <img src="{{ block.settings.banner | img_url: 'master' }}" />
  {% if block.settings.url != blank %}</a>{% endif %}
            {% assign banner_displayed = true %}
          {% endif %}
        {% endif %}
      {% endif %}
    {% endfor %}
  {% endif %}
  {% if banner_displayed == false %}
  <img src="{{ section.settings.default_banner | img_url: 'master' }}" />
  {% endif %}
</div>

{% schema %}
  {
    "name": "Banner",
    "settings": [
      {
        "type": "image_picker",
        "id": "default_banner",
        "label": "Default Banner Image"
      },
      {
        "type": "paragraph",
        "content": "Please add a custom banner image for each of the collections below. If no banner image is provided for a collection, the default banner image (selectable above) will be used."
      }
    ],
    "blocks": [
      {
        "type": "custom_banner",
        "name": "Custom Banner",
        "settings": [
          {
            "type": "collection",
            "id": "collection_slug",
            "label": "Collection"
          },
          {
            "type": "text",
            "id": "tag",
            "label": "Tag (Optional)",
            "info": "If you wish to display this banner on the selected collection page when a specific tag is selected, please enter the tag above. For example: Kitchen Sinks"
          },
          {
            "type": "image_picker",
            "id": "banner",
            "label": "Banner Image"
          },
          {
            "type": "url",
            "id": "url",
            "label": "Link"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
